Levain LabsLevain Labs
ApiBandits

Get Bandit Report

Current standings and the experiment's own verdict.

Current standings and the experiment's own verdict.

Statistics are valid however often you look; reports refresh within about a minute while an experiment is running.

GET
/api/v1/bandits/{experiment_id}/report

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

experiment_id*Experiment Id
Formatuuid

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/bandits/497f6eca-6276-4993-bfeb-53cbbbba6f08/report"
{
  "experiment": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "description": "string",
    "status": "string",
    "reward_type": "string",
    "reward_agg": "string",
    "reward_wait_s": 0,
    "default_reward": 0,
    "history_mode": "string",
    "history_days": 0,
    "exploration_floor": 0,
    "min_pulls_burn_in": 0,
    "stopping_prob_threshold": 0,
    "stopping_decision_budget": 0,
    "winner_arm_id": "3a9d70a9-49f8-4da0-b873-6f729e3ddd73",
    "stopped_reason": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "started_at": "2019-08-24T14:15:22Z",
    "ended_at": "2019-08-24T14:15:22Z",
    "arms": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "payload": {},
        "status": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "retired_at": "2019-08-24T14:15:22Z"
      }
    ]
  },
  "policy_version": 0,
  "data_as_of": "2019-08-24T14:15:22Z",
  "burn_in": true,
  "matured_events": 0,
  "verdict": {
    "done": true,
    "best": "067a35e0-72a0-4395-9c01-a44c3fdcff4e",
    "probability_best": 0,
    "reason": "string"
  },
  "arms": [
    {
      "arm_id": "64e3dc54-f4c1-4470-ae80-8f30913ffb2d",
      "name": "string",
      "status": "string",
      "payload": {},
      "weight": 0,
      "pulls": 0,
      "raw_mean": 0,
      "ipw_mean": 0,
      "ci_low": 0,
      "ci_high": 0,
      "p_best": 0,
      "expected_loss": 0,
      "defaulted_share": 0,
      "clipped_share": 0,
      "late_share": 0
    }
  ]
}